Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jws
Interface WLJmsTransport

All Superinterfaces:
  Annotation

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public interface WLJmsTransport

extends Annotation

Specifies the context path and service URI sections of the URL used to invoke the Web Service over the JMS transport, as well as the name of the port in the generated WSDL.

You also use this annotation to specify the JMS queue to which WebLogic Server queues the SOAP request messages from invokes of the operations.

Method Summary
`String` | `connectionFactory()` The JNDI name of the JMS connection factory that you have configured for the JMS transport.
`String` | `contextPath()` Context root of the Web Service You use this value in the URL that invokes the Web Service.
`String` | `portName()` The name of the port in the generated WSDL.
`String` | `queue()` The JNDI name of the JMS queue that you have configured for the JMS transport.
`String` | `serviceUri()` Web Service URI portion of the URL used by client applications to invoke the Web Service.

Methods inherited from interface java.lang.annotation.Annotation
`annotationType, equals, hashCode, toString`

Method Detail

### contextPath

    String contextPath()

  Context root of the Web Service You use this value in the URL that invokes the Web Service.

### serviceUri

    String serviceUri()

  Web Service URI portion of the URL used by client applications to invoke the Web Service.

### queue

    String queue()

  The JNDI name of the JMS queue that you have configured for the JMS transport. See Using JMS Transport for details about using JMS transport.

### connectionFactory

    String connectionFactory()

  The JNDI name of the JMS connection factory that you have configured for the JMS transport. See Using JMS Transport for details about using JMS transport.

### portName

    String portName()

  The name of the port in the generated WSDL. This attribute maps to the name attribute of the element in the WSDL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD